SEARU.ORG
当前位置:SEARU.ORG > Linux 软件 > 正文

Z4P 集成开发环境 Z4PIDE

Z4PIDE
Z4P是zephir for php的简写。采用QT5.5开发,要求最低系统版本:windows7
为什么开发Z4PIDE
大家都有这样的经历,每次重装系统很多环境都需要重新配置,而且由于PHP扩展应用许多工具,所以开发的时候很难用一个工具实现开发编译。
Z4P用到的工具
输入图片说明目前,Z4P内置的是PHP5.4.5的开发环境,将来将会把5.4.X—-7所有环境都按照版本集成或者下载所有版本都集成在一起的巨无霸版本。
由于集成了很多工具,并且内置了PHP核心源码,所以压缩包很大,其实IDE本身很小,这样不知道是否可以称作轻量级的IDE了。
环境版本
编译器:VC9
windows sdk:v7.1
PHP SDK:php-sdk-binary-tools-20110915
PHP源码 5.4.5
zephir编译器:0.6
目前已知BUG或缺少功能
ZEP没有高亮
缺少自动补全
多次点击列表会弹出多个编辑框

未经允许不得转载:SEARU.ORG » Z4P 集成开发环境 Z4PIDE

赞 (0)
分享到:更多 ()

评论 0